Bukkit Dynmap v2.5

Dynamic 'Google Maps' style web maps for your Spigot/Bukkit server

  1. mikeprimm

    Retired

    mikeprimm submitted a new resource:

    Dynmap - Dynamic 'Google Maps' style web maps for your Spigot/Bukkit server

    Read more about this resource...
     
    • Like Like x 4
  2. I've been using Dynmap since it was .1 couple years ago, it has come a long ways and is great! Many different ways to manipulate how it looks and feels. I currently have it set up without it's built in webserver and hosting on my own webserver, operates with the cores servers on or off.

    I would like to note, some of the plugins that support dynmap, DeathTPPlus and xWarp, last I checked, are dieing and I moved away from them due to issues. They originally worked great for leaving icons on dynmap of death and specified type warps. Though the new death plugin I have doesn't do anything with dynmap, the new warp plugin, mywarp, works with it just fine, as long as you default warps showing off and limit that type of warps to a nice minimum per player, it will spam the screen!

    Keep up the great work mikeprimm!

    As a humorous idea that my RL friends and I have joked about, not requesting or anything. Street View, or just links to screenshots on icons on the map, similar to googlemaps. I know it's possible, I've tinkered with the icon+text a little bit.
     
  3. mikeprimm

    Retired

    Yep - the list is a bit stale, I'm sure - there are actually quite a bit more that do support it, but I usually don't add things now unless the author requests it.
     
  4. Excellent plugin from my experience, I have however hit a rough spot, I gutted the plugin directory in the process of regenerating the map on a higher resolution and thought it would be nice to have a fresh slate. Due to the massive size a backup would have taken about 24hrs even with my SSD. Now however the plugin works perfectly in-game however the web-server seems to be broken on the 1.7 spigot builds. My iframe shows nothing and when I go direct to the port 8123 nothing appears with a "oops Google can't find" error. Quadruple checked the portfowarding etc. and the version is reported to work on my build. This is even with a completely fresh config and resources folder that was regenerated on reboot. Restarted server about 10 times now, and regenerated the config and resource folder about 3. Still nothing :(
     
  5. mikeprimm

    Retired

    mikeprimm updated Dynmap with a new update entry:

    v1.9.2 Update

    Read the rest of this update entry...
     
  6. Awesome, your a tank. All my players love dynmap! Thanks so much for all the work you do on this plugin.
     
  7. mikeprimm

    Retired

    mikeprimm updated Dynmap with a new update entry:

    Version 1.9.4

    Read the rest of this update entry...
     
  8. Sry mikeprimm i really loved ur Plugin over years but ThinMap is now out and it is 1st Person ! But nothing is better then both ! Just sayin :) PS: Youve done really Great work and updates were there since ever :)
     
  9. mikeprimm

    Retired

    Not familiar with ThinMap - can you throw me a link? Is it something like REI Minimap (that is, a client mod), or something else?
     
  10. I think he meant ThinkMap. http://www.spigotmc.org/resources/thinkmap.413/
    It's nice and all, but you don't see nearly as much as you do with Dynmap. If anything, thinkmap could be a plugin/addition to Dynmap. Click a location and select First person view, kinda like Street View on Google Maps.
     
  11. I have used dynmap for ages however now I am trying to use it with cauldron (MCPC+) in 1.7 . I am using version however every-time I start this server I encounter this error in the startup. Can you help?


    Code (Text):
    [04:58:59] [Server thread/ERROR]: Could not load 'plugins/Dynmap-1.9.4.1-forge-10.12.0.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
        at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:186) ~[JavaPluginLoader.class:git-Cauldron-MCPC-Plus-1.7.2-1.1147.04.90]
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [SimplePluginManager.class:git-Cauldron-MCPC-Plus-1.7.2-1.1147.04.90]
        at org.bukkit.craftbukkit.v1_7_R1.CraftServer.loadPlugins(CraftServer.java:300) [CraftServer.class:git-Cauldron-MCPC-Plus-1.7.2-1.1147.04.90]
        at net.minecraft.world.storage.SaveHandler.initBukkitData(SaveHandler.java:438) [axc.class:?]
        at net.minecraft.world.storage.SaveHandler.func_75757_d(SaveHandler.java:136) [axc.class:?]
        at net.minecraft.world.World.<init>(World.java:369) [afn.class:?]
        at net.minecraft.world.WorldServer.<init>(WorldServer.java:152) [mj.class:?]
        at net.minecraft.server.MinecraftServer.func_71247_a(MinecraftServer.java:336) [MinecraftServer.class:?]
        at net.minecraft.server.dedicated.DedicatedServer.func_71197_b(DedicatedServer.java:309) [lj.class:?]
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:607) [MinecraftServer.class:?]
        at java.lang.Thread.run(Thread.java:745) [?:1.7.0_60]
    Caused by: java.io.FileNotFoundException: Jar does not contain plugin.yml
        ... 11 more
     
  12. mikeprimm

    Retired

    That's pretty cool, but quite a different beast. Thanks for the clarification :)
     
  13. mikeprimm

    Retired

    For Cauldron (MCPC-Plus), you need to use the Forge version - Bukkit version isn't supported. Also, you may want to add the DynmapCBBridge plugins (which basically adds Dynmap-for-Bukkit API compatibility to the Forge version, when running on MCPC-Plus/Cauldron - making it so that other Dynmap-enabled plugins (Dynmap-* plugins, WorldBorder, etc) will work with the Forge-based Dynmap.
     
  14. sorry I meant to copy and paste the version I am using from my linux console and put that in the post but I forgot... It is however in the error I posted
    Code (Text):
    [04:58:59] [Server thread/ERROR]: Could not load 'plugins/Dynmap-1.9.4.1-forge-10.12.0.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    .I am not using any dynmap mods just the base and as above using the forge version. Is there any mod incompatibilities or version incompatibilities that you know of that I could be falling into?
     
  15. mikeprimm

    Retired

    mikeprimm updated Dynmap with a new update entry:

    Dynmap v2.0.0 alpha 2

    Read the rest of this update entry...
     
    • Like Like x 3
    • Like Like x 1
  16. This version doesn't work with Spigot 1.8 (protocol).
    Do you have any plans for updating this plugin?
     
  17. MY CPU IS DEAD!
     
  18. From what I know, mikeprimm has already spent many hours on the recent alpha 3.
    Given the current circumstances in the general Minecraft Dev community, you'd have to brace yourself with patience and see what happens in the coming weeks :)
     
    • Like Like x 1
  19. mikeprimm

    Retired

    mikeprimm updated Dynmap with a new update entry:

    Dynmap v2.0.0-alpha-3 released!

    Read the rest of this update entry...
     
    • Like Like x 2

Share This Page